User reviews for:

6
134 votes
Rate it!
  • by Anonymous

    So far not much.
    So far no good, am using 10.6.8 says it is compatible with that, but cannot get it to work..   More

  • by Anonymous

    Requirements.
    The site says Sistem requirements Ma OS X 10.4 or later, but it didnt open in 10.4 and required 1...   More